Skip to main content
POST
/
candidate
/
id
/
{candidateId}
/
update
/
case
/
id
/
{caseId}
curl --request POST \
  --url https://api-stage.karmacheck.io/candidate/id/{candidateId}/update/case/id/{caseId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "dwight@example.com",
  "dob": "1991-04-05",
  "givenName": "Dwight",
  "familyName": "Miller",
  "middleName": "James",
  "phone": "+18005550164",
  "govtId": null
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

candidateId
string
required

The identifier of a candidate.

caseId
string
required

The identifier of a case associated with the candidate.

Body

application/json

All fields in the request are optional, so only those that are passed in will be set or updated. Any fields left out of the request will keep their existing values.

Some fields are nullable, so passing in an empty string or null will update the field to be an empty string or null.

Some fields cannot be an empty string or null, in which case passing in such values will cause the call to fail.

After a candidate's first case begins processing, their personally indentifiable information (PII) will be locked, and only their phone can be updated. Their govtId can be set if it hasn't been already, but cannot be updated. Call Get candidate info for case [blocked] to check whether a candidate has their PII locked.

email
string<email>

Cannot be changed once PII is locked. Value provided cannot already be associated with another candidate.

dob
string<date>

Cannot be changed once PII is locked.

Example:

"1987-01-30"

givenName
string

Cannot be changed once PII is locked. Only letters, numbers, hyphens (-), apostrophes ('), commas (,), periods (.), and underscores (_) are allowed.

middleName
string | null

Cannot be changed once PII is locked. Only letters, numbers, hyphens (-), apostrophes ('), commas (,), periods (.), and underscores (_) are allowed.

familyName
string

Cannot be changed once PII is locked. Only letters, numbers, hyphens (-), apostrophes ('), commas (,), periods (.), and underscores (_) are allowed.

phone
string | null
Pattern: ^\+\d+$
Example:

"+18005550164"

govtId
string | null

Cannot be changed once PII is locked, but can still be set if the current value is null.

Response

This response will be returned as long as at least one valid update is made. The invalid fields will simply be ignored.